Package org.apache.cxf.common.spi

# Class GeneratedClassClassLoader

java.lang.Object
org.apache.cxf.common.spi.GeneratedClassClassLoader

Direct Known Subclasses:
  `GeneratedNamespaceClassLoader`

public class GeneratedClassClassLoader extends Object
Class loader used to find class generated during build time to avoid class generation during runtime. inherited class implement same interface than generator class but find class in TypeHelperClassLoader Runtime class generator use @see org.apache.cxf.common.spi.ClassGeneratorClassLoader

Author:
  olivier dufour

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GeneratedClassClassLoader.TypeHelperClassLoader`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Bus`
  `bus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GeneratedClassClassLoader(Bus bus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<?>`
  `findClass(String className, Class<?> callingClass)`
  `GeneratedClassClassLoader.TypeHelperClassLoader`
  `getClassLoader()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### bus

    protected final Bus bus

- ## Constructor Details

  - ### GeneratedClassClassLoader

    public GeneratedClassClassLoader(Bus bus)

- ## Method Details

  - ### findClass

    protected Class<?> findClass(String className, Class<?> callingClass)

  - ### getClassLoader

    public GeneratedClassClassLoader.TypeHelperClassLoader getClassLoader()